package cn.com.victorysoft.business.sys.dao;

import cn.com.victorysoft.business.sys.entity.WellBasic;
import cn.com.victorysoft.business.sys.param.UnitFieldBlockWellParam;
import cn.com.victorysoft.business.sys.param.UnitWellParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface WellBasicDao {

    List<WellBasic> selectWaterWells(UnitFieldBlockWellParam param);

    WellBasic selectWellBasic(String wellname);

    List<WellBasic> selectWellBasicByNames(List<String> wellnames);

    List<WellBasic> selectNoGroupWellList(String unitcode);
}
